## GstD3D11CompositorPad

    GObject
        ╰──GInitiallyUnowned
            ╰──GstObject
                ╰──GstPad
                    ╰──GstAggregatorPad
                        ╰──GstVideoAggregatorPad
                            ╰──GstD3D11CompositorPad

### Properties

#### alpha

    “alpha” gdouble

Alpha of the picture

Flags : Read / Write

Default value : 1

#### gamma-mode

    “gamma-mode” GstVideoGammaMode *

Gamma conversion mode

Flags : Read / Write

Default value : none (0)

Since : 1.22

#### height

    “height” gint

Height of the picture

Flags : Read / Write

Default value : 0

#### operator

    “operator” D3d11compositor-operator *

Blending operator to use for blending this pad over the previous ones

Flags : Read / Write

Default value : over (1)

Since : 1.22

#### primaries-mode

    “primaries-mode” GstVideoPrimariesMode *

Primaries conversion mode

Flags : Read / Write

Default value : none (0)

Since : 1.22

#### sizing-policy

    “sizing-policy” D3d11compositor-sizing-policy *

Sizing policy to use for image scaling

Flags : Read / Write

Default value : none (0)

#### width

    “width” gint

Width of the picture

Flags : Read / Write

Default value : 0

#### xpos

    “xpos” gint

X position of the picture

Flags : Read / Write

Default value : 0

#### ypos

    “ypos” gint

Y position of the picture

Flags : Read / Write

Default value : 0

### Named constants

#### D3d11compositor-operator

##### Members

`source` (0) – Source
`over` (1) – Over

Since : 1.22

#### D3d11compositor-sizing-policy

##### Members

`none` (0) – None: Image is scaled to fill configured destination rectangle without padding or keeping the aspect ratio
`keep-aspect-ratio` (1) – Keep Aspect Ratio: Image is scaled to fit destination rectangle specified by GstD3D11CompositorPad:{xpos, ypos, width, height} with preserved aspect ratio. Resulting image will be centered in the destination rectangle with padding if necessary

The results of the search are